
Foreman - Refactor #11458

Allow overriding parameters inline in host & hostgroup forms

08/24/2015 09:35 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Web Interface   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2858,

https://github.com/theforeman/foreman/p

ull/2926

  

Description

Related issues:

Related to Foreman - Bug #12609: Boolean parameter overrides are not displaye... Closed 11/26/2015

Related to Foreman - Bug #12642: Inline class parameter override shown in Rub... Closed 12/01/2015

Related to Foreman - Bug #12752: Host and hostgroup clone doesn't copy smart ... Closed 12/09/2015

Has duplicate Foreman - Feature #12702: Better class parameter's editor Duplicate 12/04/2015

Blocks Foreman - Tracker #10467: Parameter UI improvements in host and hostgr... New 05/11/2015

Blocks Foreman - Bug #8799: On host edit page, overriding inherited parameter... Closed 12/28/2014

Blocks Foreman - Bug #11465: In host/hostgroup parameters form, tables that a... New 08/24/2015

Associated revisions

Revision 6501082f - 11/20/2015 05:54 AM - Tomer Brisker

Fixes #11458 - Override inline for class parameters

This implements override inline for smart class parameters and smart

variables in host and hostgroup edit forms.

Global variable override inline will be done in a seperate PR.

Authors:

Ori Rabin <orrabin@redhat.com>

Tomer Brisker <tbrisker@redhat.com>

Revision ecc321b4 - 11/22/2015 06:15 AM - Ori Rabin

Refs #11458 - adding missing </td> tag

History

#1 - 08/24/2015 09:35 AM - Tomer Brisker

- Blocks Tracker #10467: Parameter UI improvements in host and hostgroup forms added

#2 - 08/30/2015 04:58 AM - Tomer Brisker

- Related to Bug #8799: On host edit page, overriding inherited parameters removes override button.  added

#3 - 09/02/2015 08:10 AM - Tomer Brisker

- Related to deleted (Bug #8799: On host edit page, overriding inherited parameters removes override button. )

#4 - 09/02/2015 08:10 AM - Tomer Brisker

- Blocks Bug #8799: On host edit page, overriding inherited parameters removes override button.  added
#5 - 09/10/2015 10:43 AM - Tomer Brisker

- Blocks Bug #11465: In host/hostgroup parameters form, tables that are empty should display helpful text added

#6 - 10/22/2015 11:17 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2858 added

- Pull request deleted ()

#7 - 11/20/2015 05:57 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#8 - 11/20/2015 06:02 AM - Tomer Brisker

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 6501082febf4dbd0981aba9a616f27f49175e24e.

#9 - 11/22/2015 05:26 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/2926 added

#10 - 11/26/2015 03:22 AM - Tomer Brisker

- Related to Bug #12609: Boolean parameter overrides are not displayed correctly on host form added

#11 - 12/01/2015 06:05 AM - Dominic Cleal

- Related to Bug #12642: Inline class parameter override shown in Ruby hash syntax added

#12 - 12/06/2015 06:16 AM - Tomer Brisker

- Has duplicate Feature #12702: Better class parameter's editor added

#13 - 12/09/2015 09:13 AM - Tomer Brisker

- Related to Bug #12752: Host and hostgroup clone doesn't copy smart class parameters overrides added
